dbXML API

## org.dbxml.client.xmldb.services
Class DatabaseInstanceManager

    java.lang.Object
      |
      +--org.dbxml.client.xmldb.CommonConfigurable
            |
            +--org.dbxml.client.xmldb.services.DatabaseInstanceManager

All Implemented Interfaces:
  Configurable, ManagedObject, Service

public class DatabaseInstanceManager
extends CommonConfigurable
implements ManagedObject, Service

DatabaseInstanceManager enables management of the Database intance on the server. It also enables you to shutdown the running server.

In order to get a reference to the DatabaseInstanceManager object you must have administrative access to the server.

Constructor Summary
`DatabaseInstanceManager(DatabaseManager manager, Database db, DatabaseImpl database)` Creates a new DatabaseInstanceManager instance

Method Summary
`java.lang.String` `getDatabaseName()` Returns the name of this database
`java.lang.String` `getName()` Returns the name associated with the Service instance.
`java.lang.String` `getVersion()` Gets the Version attribute of the Service object
`void` `remove()` Removes the server side Servant for this object.
`void` `setCollection(Collection col)` Not used for the DatabaseInstanceManager service.
`void` `shutdown()` Shutsdown the Database instance

Methods inherited from class org.dbxml.client.xmldb.CommonConfigurable
`getProperty, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### DatabaseInstanceManager

    public DatabaseInstanceManager(DatabaseManager manager,
                                   Database db,
                                   DatabaseImpl database)

  Creates a new DatabaseInstanceManager instance

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.
  Specified by:
    `getName` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object
  Specified by:
    `getVersion` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setCollection

    public void setCollection(Collection col)
                       throws XMLDBException

  Not used for the DatabaseInstanceManager service.
  Specified by:
    `setCollection` in interface `Service`
  Following copied from interface: `org.xmldb.api.base.Service`
  Parameters:
    `col` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getDatabaseName

    public java.lang.String getDatabaseName()
                                     throws XMLDBException

  Returns the name of this database
  Returns:
    The name of this database
  Throws:
    `XMLDBException` -

### shutdown

    public void shutdown()
                  throws XMLDBException

  Shutsdown the Database instance
  Returns:
    the result of the shutdown operation
  Throws:
    `XMLDBException` -

### remove

    public void remove()

  Removes the server side Servant for this object. Should be called when the the object is no longer needed.
  Specified by:
    `remove` in interface `ManagedObject`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved